# BORG Calendar

## Intro

BORG is a combination calendar and task tracking system. The calendar supports all sorts of appointments and also a simple todo list. The calendar functionality is similar to that of other PIMs, such as Microsoft Outlook, Mozilla Calendar, Palm Desktop, Yahoo Calendar, etc... The Task Tracker goes way beyond todo's and might better be called a project tracking system.

BORG is basically meant to be a small self-contained Java application that you can run locally (i.e. without a network). Many users run it from a thumb drive. BORG actually stands for Berger-Organizer. Unfortunately, the name BORG seems to be a popular choice for software products, probably due to the number of Star Trek fans that write code.

The fact that BORG calendar also seems to refer to the Microsoft Outlook calendar makes things even more confusing. Oh well....

## Why BORG?
 
Hmmm. Why would anyone want to use a home-grown calendar/task tracker when there are so many others out there, freeware and otherwise?

A potential BORG user might agree with the following: 

* I use a calendar/task tracker to remind me to do everything in life that I have to do.
* I do not want to set up a web server just to see my calendar
* I do not want to access the internet to see my calendar
* Some of my data is private. I don't trust putting it on an internet server.
* I work on Linux, Windows and other OS's and would like any of my machines to run my calendar program
* I don't want to have to worry about my calendar not working if I upgrade linux, windows, glibc, mySQL, apache, <fill in any third-party software that causes things to stop working>, etc...
* I like open source software. Even if the developer(s) die, I can still build and enhance my calendar program.

## Features
 
* Month/Week/Day/Year views
* To-Do list
* Repeating Appointments
* Private Appointments that do not show by default (for recording things like "rectal exam 2pm" that you don't need your friends/coworkers to see over your shoulder).
* Pop-up reminders
* Email reminders
* A Project/Task/Subtask Tracking System
* A simple address book
* H2, MySQL DB, HSQLDB, generic JDBC
* XML import/export
* Memo book with a strong encryption option (for very private memos, passwords, etc..)
* Checklists
more ...

## How to Get BORG
 
BORG downloads and releases are also available on Github: https://github.com/mikeberger/borg_calendar/releases

BORG needs only Java to run, which now comes pre-installed on most systems. If you don't have Java, you need to get the JAVA SE (standard environment) runtime version 7 or higher. It is available from http://www.oracle.com/technetwork/java/javase/downloads/.  

The source code is available on github - https://github.com/mikeberger/borg_calendar


## More info
 
Website: https://mikeberger.github.io/borg_calendar

GitHub: https://github.com/mikeberger/borg_calendar

lombok: http://projectlombok.org/
